org.fife.ui.rsyntaxtextarea

## Interface SyntaxConstants

All Known Implementing Classes:
  FoldParserManager, RSyntaxDocument, RSyntaxTextArea, TextEditorPane

    public interface SyntaxConstants

Constants that define the different programming languages understood by `RSyntaxTextArea`. These constants are the values you can pass to `RSyntaxTextArea.setSyntaxEditingStyle(String)` to get syntax highlighting.

By default, all `RSyntaxTextArea`s can render all of these languages, but this can be changed (the list can be augmented or completely overwritten) on a per-text area basis. What languages can be rendered is actually managed by the `TokenMakerFactory` installed on the text area's `RSyntaxDocument`. By default, all `RSyntaxDocumenet`s have a factory installed capable of handling all of these languages.

Version:
  1.0
Author:
  Robert Futrell

### Field Summary

Fields
`static String` `SYNTAX_STYLE_ACTIONSCRIPT` Style for highlighting ActionScript.
`static String` `SYNTAX_STYLE_ASSEMBLER_X86` Style for highlighting x86 assembler.
`static String` `SYNTAX_STYLE_BBCODE` Style for highlighting BBCode.
`static String` `SYNTAX_STYLE_C` Style for highlighting C.
`static String` `SYNTAX_STYLE_CLOJURE` Style for highlighting Clojure.
`static String` `SYNTAX_STYLE_CPLUSPLUS` Style for highlighting C++.
`static String` `SYNTAX_STYLE_CSHARP` Style for highlighting C#.
`static String` `SYNTAX_STYLE_CSS` Style for highlighting CSS.
`static String` `SYNTAX_STYLE_DELPHI` Style for highlighting Delphi/Pascal.
`static String` `SYNTAX_STYLE_DTD` Style for highlighting DTD files.
`static String` `SYNTAX_STYLE_FORTRAN` Style for highlighting Fortran.
`static String` `SYNTAX_STYLE_GROOVY` Style for highlighting Groovy.
`static String` `SYNTAX_STYLE_HTACCESS` Style for highlighting .htaccess files.
`static String` `SYNTAX_STYLE_HTML` Style for highlighting HTML.
`static String` `SYNTAX_STYLE_JAVA` Style for highlighting Java.
`static String` `SYNTAX_STYLE_JAVASCRIPT` Style for highlighting JavaScript.
`static String` `SYNTAX_STYLE_JSON` Style for highlighting JSON.
`static String` `SYNTAX_STYLE_JSP` Style for highlighting JSP.
`static String` `SYNTAX_STYLE_LATEX` Style for highlighting LaTeX.
`static String` `SYNTAX_STYLE_LISP` Style for highlighting Lisp.
`static String` `SYNTAX_STYLE_LUA` Style for highlighting Lua.
`static String` `SYNTAX_STYLE_MAKEFILE` Style for highlighting makefiles.
`static String` `SYNTAX_STYLE_MXML` Style for highlighting MXML.
`static String` `SYNTAX_STYLE_NONE` Style meaning don't syntax highlight anything.
`static String` `SYNTAX_STYLE_NSIS` Style for highlighting NSIS install scripts.
`static String` `SYNTAX_STYLE_PERL` Style for highlighting Perl.
`static String` `SYNTAX_STYLE_PHP` Style for highlighting PHP.
`static String` `SYNTAX_STYLE_PROPERTIES_FILE` Style for highlighting properties files.
`static String` `SYNTAX_STYLE_PYTHON` Style for highlighting Python.
`static String` `SYNTAX_STYLE_RUBY` Style for highlighting Ruby.
`static String` `SYNTAX_STYLE_SAS` Style for highlighting SAS keywords.
`static String` `SYNTAX_STYLE_SCALA` Style for highlighting Scala.
`static String` `SYNTAX_STYLE_SQL` Style for highlighting SQL.
`static String` `SYNTAX_STYLE_TCL` Style for highlighting Tcl.
`static String` `SYNTAX_STYLE_UNIX_SHELL` Style for highlighting UNIX shell keywords.
`static String` `SYNTAX_STYLE_VISUAL_BASIC` Style for highlighting Visual Basic.
`static String` `SYNTAX_STYLE_WINDOWS_BATCH` Style for highlighting Windows batch files.
`static String` `SYNTAX_STYLE_XML` Style for highlighting XML.

### Field Detail

#### SYNTAX_STYLE_NONE

    static final String SYNTAX_STYLE_NONE

Style meaning don't syntax highlight anything.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_ACTIONSCRIPT

    static final String SYNTAX_STYLE_ACTIONSCRIPT

Style for highlighting ActionScript.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_ASSEMBLER_X86

    static final String SYNTAX_STYLE_ASSEMBLER_X86

Style for highlighting x86 assembler.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_BBCODE

    static final String SYNTAX_STYLE_BBCODE

Style for highlighting BBCode.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_C

    static final String SYNTAX_STYLE_C

Style for highlighting C.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_CLOJURE

    static final String SYNTAX_STYLE_CLOJURE

Style for highlighting Clojure.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_CPLUSPLUS

    static final String SYNTAX_STYLE_CPLUSPLUS

Style for highlighting C++.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_CSHARP

    static final String SYNTAX_STYLE_CSHARP

Style for highlighting C#.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_CSS

    static final String SYNTAX_STYLE_CSS

Style for highlighting CSS.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_DELPHI

    static final String SYNTAX_STYLE_DELPHI

Style for highlighting Delphi/Pascal.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_DTD

    static final String SYNTAX_STYLE_DTD

Style for highlighting DTD files.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_FORTRAN

    static final String SYNTAX_STYLE_FORTRAN

Style for highlighting Fortran.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_GROOVY

    static final String SYNTAX_STYLE_GROOVY

Style for highlighting Groovy.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_HTACCESS

    static final String SYNTAX_STYLE_HTACCESS

Style for highlighting .htaccess files.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_HTML

    static final String SYNTAX_STYLE_HTML

Style for highlighting HTML.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_JAVA

    static final String SYNTAX_STYLE_JAVA

Style for highlighting Java.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_JAVASCRIPT

    static final String SYNTAX_STYLE_JAVASCRIPT

Style for highlighting JavaScript.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_JSON

    static final String SYNTAX_STYLE_JSON

Style for highlighting JSON.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_JSP

    static final String SYNTAX_STYLE_JSP

Style for highlighting JSP.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_LATEX

    static final String SYNTAX_STYLE_LATEX

Style for highlighting LaTeX.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_LISP

    static final String SYNTAX_STYLE_LISP

Style for highlighting Lisp.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_LUA

    static final String SYNTAX_STYLE_LUA

Style for highlighting Lua.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_MAKEFILE

    static final String SYNTAX_STYLE_MAKEFILE

Style for highlighting makefiles.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_MXML

    static final String SYNTAX_STYLE_MXML

Style for highlighting MXML.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_NSIS

    static final String SYNTAX_STYLE_NSIS

Style for highlighting NSIS install scripts.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_PERL

    static final String SYNTAX_STYLE_PERL

Style for highlighting Perl.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_PHP

    static final String SYNTAX_STYLE_PHP

Style for highlighting PHP.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_PROPERTIES_FILE

    static final String SYNTAX_STYLE_PROPERTIES_FILE

Style for highlighting properties files.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_PYTHON

    static final String SYNTAX_STYLE_PYTHON

Style for highlighting Python.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_RUBY

    static final String SYNTAX_STYLE_RUBY

Style for highlighting Ruby.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_SAS

    static final String SYNTAX_STYLE_SAS

Style for highlighting SAS keywords.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_SCALA

    static final String SYNTAX_STYLE_SCALA

Style for highlighting Scala.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_SQL

    static final String SYNTAX_STYLE_SQL

Style for highlighting SQL.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_TCL

    static final String SYNTAX_STYLE_TCL

Style for highlighting Tcl.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_UNIX_SHELL

    static final String SYNTAX_STYLE_UNIX_SHELL

Style for highlighting UNIX shell keywords.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_VISUAL_BASIC

    static final String SYNTAX_STYLE_VISUAL_BASIC

Style for highlighting Visual Basic.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_WINDOWS_BATCH

    static final String SYNTAX_STYLE_WINDOWS_BATCH

Style for highlighting Windows batch files.

See Also:
  Constant Field Values

#### SYNTAX_STYLE_XML

    static final String SYNTAX_STYLE_XML

Style for highlighting XML.

See Also:
  Constant Field Values